## org.apache.axis.types
Class Language

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token
                  |
                  +--org.apache.axis.types.Language

All Implemented Interfaces:
  java.io.Serializable

public class Language
extends Token

Custom class for supporting XSD data type language language represents natural language identifiers as defined by [RFC 1766]. The value space of language is the set of all strings that are valid language identifiers as defined in the language identification section of [XML 1.0 (Second Edition)]. The lexical space of language is the set of all strings that are valid language identifiers as defined in the language identification section of [XML 1.0 (Second Edition)]. The base type of language is token.

Author:
  Eddie Pick <eddie@pick.eu.org>
See Also:
  XML Schema 3.3.3, Serialized Form

Constructor Summary
`Language()`
`Language(java.lang.String stValue)` ctor for Language

Method Summary
`boolean` `isValid(java.lang.String stValue)` validate the value against the xsd definition TODO

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Language

    public Language()

### Language

    public Language(java.lang.String stValue)
             throws java.lang.IllegalArgumentException

  ctor for Language

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition TODO

  Overrides:
    `isValid` in class `Token`
  See Also:
    RFC1766 Language-Tag = Primary-tag *( "-" Subtag ) Primary-tag = 1*8ALPHA Subtag = 1*8ALPHA

Copyright © 2003 Apache Web Services Project. All Rights Reserved.